
ALTER PROCEDURE [dbo].[PMX_SP_MoviantoColliPackageLabel_SerialNumbers]
	-- Add the parameters for the stored procedure here
	@PickListDocEntry INT = 0,
	@ItemCode NVARCHAR(MAX) = '',
	@LUID INT = 0
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED;
	SET NOCOUNT ON;

    -- Insert statements for procedure here
	SELECT PMX_SENU."SerialNumber"
	FROM PMX_SELD	
	INNER JOIN PMX_SENU ON PMX_SENU."InternalKey" = PMX_SELD."SerialKey"
	WHERE PMX_SELD.BaseType = 'PMX_PLHE' AND PMX_SELD.BaseEntry = @PickListDocEntry AND PMX_SENU.ItemCode = @ItemCode
	AND ISNULL(PMX_SENU.LUID,@LUID) = @LUID
END